import './assets/main.css'
import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import '@mdi/font/css/materialdesignicons.css'
import 'vuetify/styles'
import { createVuetify } from 'vuetify'
import * as components from 'vuetify/components'
import * as directives from 'vuetify/directives'
import clientPlugin from './plugins/api.js'

const vuetify = createVuetify({
  components,
  directives
});

const app = createApp(App);

// Create an axios client preconfigured to the Hutopy API.
app.use(clientPlugin);

app.use(createPinia());
app.use(vuetify);
app.use(router);

app.mount('#app')
